org.richfaces.fragment.autocomplete

## Class RichFacesAutocomplete

- java.lang.Object
- - org.richfaces.fragment.autocomplete.RichFacesAutocomplete

- All Implemented Interfaces:
    Autocomplete, AdvancedInteractions<RichFacesAutocomplete.AdvancedAutocompleteInteractions>, AdvancedVisibleComponentIteractions<RichFacesAutocomplete.AdvancedAutocompleteInteractions>

      public class RichFacesAutocomplete
      extends Object
      implements Autocomplete, AdvancedVisibleComponentIteractions<RichFacesAutocomplete.AdvancedAutocompleteInteractions>

  Author:
    Juraj Huska, Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesAutocomplete.AdvancedAutocompleteInteractions`
    `class` | `RichFacesAutocomplete.SelectOrConfirmImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesAutocomplete()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesAutocomplete.AdvancedAutocompleteInteractions` | `advanced()`
    `void` | `clear()` Erases the input associated with the autocomplete component.
    `SelectOrConfirm` | `type(String str)` Types text to Autocomplete input.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesAutocomplete

          public RichFacesAutocomplete()

  - ### Method Detail

    - #### advanced

          public RichFacesAutocomplete.AdvancedAutocompleteInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesAutocomplete.AdvancedAutocompleteInteractions>`

    - #### clear

          public void clear()

      Description copied from interface: `Autocomplete`
      Erases the input associated with the autocomplete component.
      Specified by:
        `clear` in interface `Autocomplete`

    - #### type

          public SelectOrConfirm type(String str)

      Description copied from interface: `Autocomplete`
      Types text to Autocomplete input. If the input is not empty, then it types a token in it and then sends the value.
      Specified by:
        `type` in interface `Autocomplete`
      Parameters:
        `str` - text to be send to input
      Returns:
        a object of `SelectOrConfirm` class which enables selection from suggestions or confirming the typed text
      See Also:
        `SelectOrConfirm`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.